﻿//基础地址
var AppRemoteSvcCfgBase = {
	//iflybook商务平台基地址
    "CONFIG_BASE": "http://book.changyan.com",
    //畅言云SNS基地址
    "CYSNSBase" : "http://yun.changyan.com/sns/index.php",
    //畅言云API基地址
    "CYAPI" : "http://rest.changyan.com/api",
    //畅言认证基地址
    "CYToken" : "http://rest.changyan.com/oauth/token",
    "CYTA" : "http://yun.changyan.com/teacherassistant/index.php?",
    //社交相关
	"CYSNSBASEFEED": "http://yun.changyan.com/sns/api/snsapi.php",
    //在线预览icw资源
    "ICWiframe":"http://yun.changyan.com/yunres/Public/_static/js/webCourseware/main/player.html?package="
};

//配置项
var AppCfg = {
	//默认账户
    defaultuser: "defaultuser",
    testAuthor : "iflytek",
	//默认黑板颜色
    wbcolor: "rgb(123,150,133)",
    showNoWebTips: false,
    product: 'std',
	//版本号
    version: '2.1.0.1005',
    isDebug: true,
    useDrm: true,
    useTurnJSDoublePage: false,
    saveDRMImage: true,
    saveDRMXAML: false,
    testUser: 'defaultuser',
    testBook: '13170425-022',
    screenSaversTime: 0,
    isShowKeyboard: false,
    tebkUser: '',
    isShowVerify: true,
    useWebDB: false,
    useAjax: true,
    useH5Camera: false,
    ajaxTimeOut: 15000,
    memoryRequired: 300,
    checkSingleLoginInterval: 600000,
    createCardsTimeOut: 60000,
    loadTimeOut: 30000,
    reSendMsg : 120,
    showJiaoYan: false,
    showResCloud: true,
    showCloud: true,
    showWhiteBoard: false,
    useSlideAnimation: true,
    useKeyboardEvent: false,
    lang: "zhcn",
    imgPaintSize : 400,
    showLastChange : false,
    isShortCut : true
};

//第三方接口
var App3rdUrl = {
    //东阳资源获取地址
    "DYSOLRURL": "http://yun1.dyedu.org:8083/solr/product/select?",
    //东阳资源预览地址
    "DYSOURCEVIEW":"http://tyup.wuhaneduyun.cn:20017/cms_service/getResourceUrl/",
    "DYRESOLDPREFIX":"http://114.112.172.53:21000",
    "DYRESVIEWNEWPREFIX":"http://v.wuhaneduyun.cn:10009"
}

//公有参数
var AppSvcHelper = {
    //SNS公用参数
    "CYSNS" : AppRemoteSvcCfgBase.CYSNSBase + "?app=public&mod=PluginLogin&act=index",
    //畅言云服务公用参数
    "CYSVC":  AppRemoteSvcCfgBase.CYAPI + "?version=1.0&format=json&appkey=HWQIjW2K",
    //畅言云Token公用参数
    "CYToken" : AppRemoteSvcCfgBase.CYToken + "?client_id=HWQIjW2K&client_secret=rT079mJrgd7KfbBwL4atuOERweuFjggn"
}

//接口
var AppRemoteSvcCfg = {
    //畅言云单点登录地址
    "ChangYanYunSSO": AppSvcHelper.CYSNS + "&mod=PluginLogin",
    //个人信息获取接口
    "YUN_CHANGYAN":  AppSvcHelper.CYSVC + "&locale=zh_CN",
    //畅言云ClientToken获取地址
    "ClientToken" : AppSvcHelper.CYToken + "&grant_type=client_credentials",
    //畅言云动态Token获取地址
    "TokenRemote": AppSvcHelper.CYToken + "&grant_type=password&username=",
    //畅言云用户信息获取地址
    "UserGet" : AppSvcHelper.CYSVC + "&method=core.user.get",
    //个人中心地址
    "GeRenZhongXin" : AppSvcHelper.CYSVC+"&method=core.user.get&key=loginName&value=",
    //SNSID获取地址
    "SNSID":AppSvcHelper.CYSVC+"&method=sns.user.get&uid=",

    "ResBatch" : AppSvcHelper.CYSVC + "&method=res.resource.batch.list&",
    //畅言云个人主页
    "SNSMainPage" : AppSvcHelper.CYSNS + "&mod=Profile&uid=",

     // eshop端验证移动信息
    "ChinaMobileCheckUrl" :AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=oauth&a=yd" ,

    //云畅言登录验证
     "checkAccount": AppSvcHelper.CYSVC + "&method=core.user.login",
	//云畅言注册账号验证
    "regCheckName": AppSvcHelper.CYSVC + "&method=core.user.exist&key=loginName&value=",
	//云畅言手机号注册验证
    "regCheckPhoneNumber": AppSvcHelper.CYSVC + "&method=core.user.exist&key=mobile&value=",
	//云畅言省列表获取地址
    "showProvince": AppSvcHelper.CYSVC + "&method=core.area.province.list&skip=0&limit=50&id=1",
	//云畅言市列表获取地址
    "showCity": AppSvcHelper.CYSVC + "&method=core.area.city.list&skip=0&limit=50&id=",
	//云畅言县地址获取地址
    "showDistrict": AppSvcHelper.CYSVC + "&method=core.area.district.list&skip=0&limit=50&id=",
	//云畅言学校列表获取地址
    "showSchool": AppSvcHelper.CYSVC + "&method=core.area.school.list&skip=0&limit=1000&areaId=",

    "sendPhoneMsg" : AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=home&a=smsphone",

	//用户点数获取地址
    "getPoints": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=getPointsAndCards",
	//激活地址
    "goToActive": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=doRegisterActive",
    "simpleActive" : AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=home&a=doActiveUser",
    "isActive": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=isActive",
	//第三方登录列表获取地址
    "getOauthList": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=oauth&a=oauthlist",
	//登录时绑定地址
    "checkBindandBind": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=get_auth_status",
	//书库页面地址
    "BookLibPageUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=bookstore&a=booklist&language=" + AppCfg.lang,
	//充值地址
    "BuyPointUrl": AppRemoteSvcCfgBase.CYTA + "m=Assistant&c=PluginLogin&a=index&to=Recharge&",
    //黑板笔顺库地址
    "BlackBoardStrokeOrderPageUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=baseResPlayer&a=resPlayer",
	//黑板词典地址
    "BlackBoardDictionaryPageUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=dictionary&a=word&w=",
	//密码重置地址
    "UserForgetPasswordPageUrl": AppRemoteSvcCfgBase.CYTA + "m=Assistant&c=Passport&a=findPassword&",
    //解除绑定地址
    "RemoveRebindUrl":  AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=personalCenter&a=getUserAuthInfo&",

	
	//用户登录地址
    "UserLoginUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=login",
	//用户license获取地址
    "UserLicenseGetUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=get_userlicense_handler",
    //用户license获取另外接口地址--不踢下线
    "UserLicenseGetNewUrl":AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=get_new_userlicense_handler",
	//书本license获取地址
    "BookLicenseGetUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=bookstore&a=getLicenseHandler",
	//映射信息获取地址
    "MataMapGetUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=directorys&a=getdir",
	//用户log上传地址
    "PostUserDataUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=userOperationLog",
    "DownLoadDataUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=addUserActionLog",
	//联网验证地址
    "OnlineCheckUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/random_num.php",
	//资源更新地址
    "CheckResUpdateUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=bookstore&a=get_update_resources",
	//单点轮询地址
    "CheckSingleLogin": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=checkSingle",
	//书本目录获取地址
    "GetBookDirUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=resourcelib&a=getDir&bookcode={0}",
	//用户反馈接口
    "UserFeedBackUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=feedBack&a=load",
	//帮助中心地址
    "UserHelpDocUrl" :  AppRemoteSvcCfgBase.CYTA + "m=Assistant&c=PluginLogin&a=index&to=HelpCenter&",
    //高级卡片显示地址
    "SpeechUIPageUrl": "http://book.changyan.com/CloudCards/index.html",
    "reCharge" : AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=home&a=doBindCard",
    "rePay" : AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=home&a=verifyCard",
    "PersonalInfoPageUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=personalCenter&a=index&language=" + AppCfg.lang,
    "PurchasedBooksPageUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=bookstore&a=paidbooks&language=" + AppCfg.lang,
    "UserRegisterUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=home&a=doRegister",
    "StrokeOrderAndVirLabPageUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=baseResPlayer&a=flashPlayer",

    //云畅言上传参数
    "uploadWebPath": "fromApp=ib&uid={0}&folderType={1}&fileName={2}&bookCode={3}&unitCode={4}&courseCode={5}&thumbnailWidth={6}&thumbnailHeight={7}&aliasName={8}&appkey=HWQIjW2K",
    //云畅言上传参数
    "uploadMTBK" :"fromApp=ib&uid={0}&folderType={1}&fileName={2}&bookCode={3}&unitCode={4}&courseCode={5}&appkey=HWQIjW2K",

    //云畅言资源评论获取
    "rescomment":AppRemoteSvcCfgBase.CYSNSBASEFEED+'?method=sns.feed.commentlist&resourceId=',

    //网盘分享id获取
    "getShareId" : AppSvcHelper.CYSVC + '&method=pan.file.share&source=yun_wendang&to=homepage',

    //云畅言资源分享至个人中心
    "resShare":AppRemoteSvcCfgBase.CYSNSBASEFEED+'?method=sns.resource.share&content=&source=yunpan&uid=',

    //下面这部分地址接口依然存在，只是因为业务需求而不再使用
    //百度资源获取地址
    "BAIDU_URL": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=smartsearch&a=newSearch&",
    "checkPhone": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=home&a=checkCode",
    "UserCheckBindUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=get_auth_status",
    "UserBindUrl": AppRemoteSvcCfgBase.CONFIG_BASE + "/index.php?c=userServices&a=auth_bind",

	//下面全是废弃的配置
    "SSOUrl": "http://iflybook.changyan.com/cas/ssoservice.php",
    "CycoreSSOUrl": "http://www.cycore.cn/sso",
	//下面为用户发布动态的配置
    "UserPubStateTalk":AppRemoteSvcCfgBase.CYSNSBASEFEED+"?method=sns.feed.post&",
    //资源排行地址   
   "GetRankRes":AppSvcHelper.CYSVC+"&method=res.resource.list&"
};


























